/* This file is part of Jabinit, copyright (C) 2005 Simon Rochester and John C. Morrison
*
* Jabinit is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* Jabinit is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package edu.louisville.physics.jcm.jabinit;

import javax.swing.JPanel;
import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.JApplet;
import javax.vecmath.Matrix3f;
import org.jmol.api.JmolViewer;
import org.jmol.viewer.Viewer;
import edu.louisville.physics.jcm.jmol.*;


public class CrystalPanel extends JPanel {
	JabinitJmolPanel jmolPanel;
	Matrix3f rotationMatrix = new Matrix3f();
	Matrix3f zeroMatrix = new Matrix3f();
	int zoomPercent;
	float crystalBounds = 1;

	CrystalPanel() {
		super();
		setLayout(new BoxLayout(this, BoxLayout.LINE_AXIS));
		setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
		jmolPanel = new JabinitJmolPanel();
		add(jmolPanel);
	}
	
	public float getCrystalBounds() {
		return crystalBounds;
	}
	
	public void setCrystalBounds(float cb) {
		crystalBounds = cb;
	}
	
	public void displayCrystal(CrystalData crystalData) {	
		JmolViewer viewer = jmolPanel.getViewer();
		viewer.setResetViewOnLoad(false);
//		viewer.getRotation(rotationMatrix);
//		zoomPercent = viewer.getZoomPercent();
		crystalData.crystalSize = crystalBounds;
		((JabinitJmolAdapter)jmolPanel.getAdapter()).setCrystalData(crystalData);
    	viewer.openStringInline("");
		viewer.setBooleanProperty("showUnitcell", true);
//		if (!rotationMatrix.equals(zeroMatrix))
//			viewer.setRotation(rotationMatrix);
//		viewer.zoomToPercent(zoomPercent);

	}
}
