/* This file is part of Jabinit, copyright (C) 2005 Simon Rochester and John C. Morrison
*
* Jabinit is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* Jabinit is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package edu.louisville.physics.jcm.jabinitserver;

import java.net.ServerSocket;
import java.io.IOException;

public class JabinitServer {
	public final static int PORT = 9097;

	public static void main(String[] args) { 
		ServerSocket serverSocket = null;
		boolean listening = true;

		try	{
			//set up port for listening
			serverSocket = new ServerSocket(PORT);
			System.out.println("JabinitServer: Listening on port " + PORT);
		} catch (IOException e) {
            System.err.println("JabinitServer: Could not listen on port " + PORT);
            System.exit(-1);
        }

		while (listening) {
			try {
				//listen for client requests, and start new thread to handle them
				new JabinitConnection(serverSocket.accept()).start();
			} catch (IOException e) {
				System.err.println(e.toString());
			}
		}
		
		try {
			//cleanup
			serverSocket.close();
		} catch (IOException e) {
			System.err.println(e.toString());
		}
	}
}
