/* $RCSfile: Integration.java,v $
 * $Author: migueljmol $
 * $Date: 2004/12/07 21:19:18 $
 * $Revision: 1.11 $
 *
 * Renamed and modified by Simon Rochester 2005/1/13
 * for Jabinit program
 *
 * Copyright (C) 2000-2004  The Jmol Development Team
 *
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 */
 
package edu.louisville.physics.jcm.jmol;

import org.jmol.api.JmolViewer;
import org.jmol.api.JmolAdapter;

import java.awt.Rectangle;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JPanel;

/**
 *
 * @author Miguel <miguel@jmol.org>
 */

public class JabinitJmolPanel extends JPanel {
  JmolViewer viewer;
  JmolAdapter adapter;
  
  public JabinitJmolPanel() {
    adapter = new JabinitJmolAdapter(null);
    viewer = JmolViewer.allocateViewer(this, adapter);
  }

  public JmolViewer getViewer() {
    return viewer;
  }

  public JmolAdapter getAdapter() {
    return adapter;
  }

  final Dimension currentSize = new Dimension();
  final Rectangle rectClip = new Rectangle();

  public void paint(Graphics g) {
    getSize(currentSize);
    g.getClipBounds(rectClip);
    viewer.renderScreenImage(g, currentSize, rectClip);
  }
}
