/* This file is part of Jabinit, copyright (C) 2005 Simon Rochester and John C. Morrison
*
* Jabinit is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* Jabinit is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package edu.louisville.physics.jcm.swing;

import javax.swing.JScrollPane;
import javax.swing.JTable;
import java.awt.Dimension;
import java.awt.Component;

public class MinimalScrollPane extends JScrollPane {
	JTable table = null;
	
	public MinimalScrollPane(Component component) {
		super(component);
		if (component instanceof JTable)
			table = (JTable)component;
	}
	
	public Dimension getMinimumSize() {
		if (table == null) return super.getMinimumSize();
		int h = table.getRowHeight()*table.getRowCount() 
					+ getInsets().top + getInsets().bottom
					+ getColumnHeader().getSize().height+2;
		int w = table.getMinimumSize().width;
		return new Dimension(w,h);
	}

	public Dimension getPreferredSize() {
		if (table == null) return super.getPreferredSize();
		int h = table.getRowHeight()*table.getRowCount() 
					+ getInsets().top + getInsets().bottom
					+ getColumnHeader().getSize().height+2;
		int w = table.getPreferredSize().width;
		return new Dimension(w,h);
	}

	public Dimension getMaximumSize() {
		if (table == null) return super.getMaximumSize();
		int h = table.getRowHeight()*table.getRowCount() 
					+ getInsets().top + getInsets().bottom
					+ getColumnHeader().getSize().height+2;
		int w = table.getMaximumSize().width;
		return new Dimension(w,h);
	}

}
